org.eclipse.wst.jsdt.js.common.build.system

## Class AbstractTask

- java.lang.Object
- - org.eclipse.wst.jsdt.js.common.build.system.AbstractTask

All Implemented Interfaces:
  ITask

    public abstract class AbstractTask
    extends java.lang.Object
    implements ITask

### Constructor Summary

Constructors
Constructor and Description
`AbstractTask(java.lang.String name, IFile buildFile, boolean isDefault, Location location)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IFile` `getBuildFile()`
`Location` `getLocation()`
`java.lang.String` `getName()`
`boolean` `isDefault()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractTask

    public AbstractTask(java.lang.String name,
                        IFile buildFile,
                        boolean isDefault,
                        Location location)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `ITask`

#### isDefault

    public boolean isDefault()

Specified by:
  `isDefault` in interface `ITask`

#### getBuildFile

    public IFile getBuildFile()

Specified by:
  `getBuildFile` in interface `ITask`

#### getLocation

    public Location getLocation()

Specified by:
  `getLocation` in interface `ITask`